import { CrudAccessControl } from './access-control.authorization';
import { Request, Response } from 'express';
import { Model, Document } from 'mongoose';
export declare class AccessControlBaseController {
    private model;
    ac: CrudAccessControl;
    constructor(model: Model<Document>, grants: any);
    create(req: Request, res: Response): void;
    find(req: any, res: Response): void;
    findById(req: Request, res: Response): void;
    update(req: Request, res: Response): void;
    patch(req: Request, res: Response): void;
    remove(req: Request, res: Response, model: Model<Document>): void;
    private entityFromBody(req);
}
